SalesChannelCancellationReasons

Retrieve a cancellation reason

get

Fetches the details of a specific cancellation reason for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
chevron-right
200

Cancellation reason retrieved successfully.

application/json

Represents a reason for order cancellation

created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerRead-onlyOptional

Primary key of the cancellation reason

cancellation_typestring · enumRequired

Type of cancellation

Example: cancelPossible values:
extra_information_neededbooleanOptional

Whether extra information is needed for this cancellation reason

Default: false
orderintegerOptional

Order of display for the cancellation reason

Default: 100
subjectstring · max: 100Required

Subject/name of the cancellation reason

is_activebooleanOptional

Whether the cancellation reason is active

Default: true
send_to_remotebooleanOptional

Whether to send this reason to remote systems

send_to_omsbooleanOptional

Whether to send this reason to OMS

translationsobjectRead-onlyOptional

Translations for the cancellation reason

uuidstringRead-onlyOptional

Unique identifier for the cancellation reason

get
/api/v1/channel/{channel_id}/cancellation_reasons/{id}/

Partially update a cancellation reason

put

Partially updates the details of a specific cancellation reason for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body

Schema for updating existing cancellation reason.

cancellation_typestring · enumOptional

Type of cancellation. Optional, defaults to cancel.

Possible values:
extra_information_neededbooleanOptional

Whether extra info is required.

orderintegerOptional

Sorting order for UI display.

subjectstringOptional

Short label of the cancellation reason.

is_activebooleanOptional

Whether this reason is active.

send_to_remotebooleanOptional

Whether this reason syncs to external systems.

Responses
chevron-right
200

Cancellation reason partially updated successfully.

application/json

Represents a reason for order cancellation

created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerRead-onlyOptional

Primary key of the cancellation reason

cancellation_typestring · enumRequired

Type of cancellation

Example: cancelPossible values:
extra_information_neededbooleanOptional

Whether extra information is needed for this cancellation reason

Default: false
orderintegerOptional

Order of display for the cancellation reason

Default: 100
subjectstring · max: 100Required

Subject/name of the cancellation reason

is_activebooleanOptional

Whether the cancellation reason is active

Default: true
send_to_remotebooleanOptional

Whether to send this reason to remote systems

send_to_omsbooleanOptional

Whether to send this reason to OMS

translationsobjectRead-onlyOptional

Translations for the cancellation reason

uuidstringRead-onlyOptional

Unique identifier for the cancellation reason

put
/api/v1/channel/{channel_id}/cancellation_reasons/{id}/

Delete a cancellation reason

delete

Deletes a specific cancellation reason for the specified sales channel by setting is_active to False.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
delete
/api/v1/channel/{channel_id}/cancellation_reasons/{id}/

No content

Update a cancellation reason

patch

Updates the details of a specific cancellation reason for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body

Schema for updating existing cancellation reason.

cancellation_typestring · enumOptional

Type of cancellation. Optional, defaults to cancel.

Possible values:
extra_information_neededbooleanOptional

Whether extra info is required.

orderintegerOptional

Sorting order for UI display.

subjectstringOptional

Short label of the cancellation reason.

is_activebooleanOptional

Whether this reason is active.

send_to_remotebooleanOptional

Whether this reason syncs to external systems.

Responses
chevron-right
200

Cancellation reason updated successfully.

application/json

Represents a reason for order cancellation

created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerRead-onlyOptional

Primary key of the cancellation reason

cancellation_typestring · enumRequired

Type of cancellation

Example: cancelPossible values:
extra_information_neededbooleanOptional

Whether extra information is needed for this cancellation reason

Default: false
orderintegerOptional

Order of display for the cancellation reason

Default: 100
subjectstring · max: 100Required

Subject/name of the cancellation reason

is_activebooleanOptional

Whether the cancellation reason is active

Default: true
send_to_remotebooleanOptional

Whether to send this reason to remote systems

send_to_omsbooleanOptional

Whether to send this reason to OMS

translationsobjectRead-onlyOptional

Translations for the cancellation reason

uuidstringRead-onlyOptional

Unique identifier for the cancellation reason

patch
/api/v1/channel/{channel_id}/cancellation_reasons/{id}/

List all cancellation reasons

get

Fetches a list of all cancellation reasons for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
cancellation_typestring · enumOptional

Filter by cancellation type

Possible values:
is_activebooleanOptional

Filter by active status (True or False)

pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

Responses
chevron-right
200

List of cancellation reasons retrieved successfully.

application/json

Represents a reason for order cancellation

created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerRead-onlyOptional

Primary key of the cancellation reason

cancellation_typestring · enumRequired

Type of cancellation

Example: cancelPossible values:
extra_information_neededbooleanOptional

Whether extra information is needed for this cancellation reason

Default: false
orderintegerOptional

Order of display for the cancellation reason

Default: 100
subjectstring · max: 100Required

Subject/name of the cancellation reason

is_activebooleanOptional

Whether the cancellation reason is active

Default: true
send_to_remotebooleanOptional

Whether to send this reason to remote systems

send_to_omsbooleanOptional

Whether to send this reason to OMS

translationsobjectRead-onlyOptional

Translations for the cancellation reason

uuidstringRead-onlyOptional

Unique identifier for the cancellation reason

get
/api/v1/channel/{channel_id}/cancellation_reasons/

Create a cancellation reason

post

Creates a new cancellation reason for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Body

Schema for creating a new cancellation reason.

cancellation_typestring · enumOptional

Type of cancellation. Optional, defaults to cancel.

Possible values:
extra_information_neededbooleanOptional

Whether extra info is required.

orderintegerOptional

Sorting order for UI display.

subjectstringRequired

Short label of the cancellation reason.

is_activebooleanOptional

Whether this reason is active.

send_to_remotebooleanOptional

Whether this reason syncs to external systems.

Responses
post
/api/v1/channel/{channel_id}/cancellation_reasons/

Last updated

Was this helpful?